<?php
class Criteria
{
  const ASC = "ASC";
  const DESC = "DESC";
  
  protected $map;
  
	public function add($p1, $value = null, $comparison = null)
	{
		$column = $p1;
		$this->map[$column] = $value;
		return $this;
	}
	
	public function addAscendingOrderByColumn($name)
	{
		$this->orderByColumns[] = $name . ' ' . self::ASC;
		return $this;
	}
	
	public function addDescendingOrderByColumn($name)
	{
		$this->orderByColumns[] = $name . ' ' . self::DESC;
		return $this;
	}
}